Feed::Get
GET /api/mobile/v2/messages/get_inboxQuery Parameters
Section titled “Query Parameters”| Name | Type | Required | Description |
|---|---|---|---|
alias |
string | No | The Alias (your Customer or User Id) |
guid |
string | No | A unique identifier for the current device of the User |
page |
int | No | The page number you wish to retrieve. Used in conjunction with per_page |
per_page |
int | No | The number of Feed Items per page you wish to retrieve. Used in conjunction with page |
Responses
Section titled “Responses”200
{ "categories": [], "inbox_items": [ { "guid": "abc1234", "is_campaign_unread": true, "type": "card", "campaign_guid": "def5678", "allow_reply": false, "front": [ { "type": "admin_header_with_message", "position": -1, "attrs": [ { "admin": { "job_title": "CEO", "name": "Sarah Martin", "s_id": "efew90u34t", "avatar_url": "https://control.pulsatehq.com/assets/lib/layout/default-user-avatar.svg" }, "message": "Get started with Pulsate!" } ] }, { "type": "image", "position": 0, "attrs": [ { "name": "Pulsate-Mobile-Banking-web-bg-1-e1692289003621.jpg", "image_url": "https://www.pulsatehq.com/wp-content/uploads/2023/08/Pulsate-Mobile-Banking-web-bg-1-e1692289003621.jpg", "width": 730, "height": 487 } ] }, { "type": "headline", "position": 1, "attrs": [ { "text": "We're excited to have you partner with us" } ] }, { "type": "text", "position": 2, "attrs": [ { "text": "With Pulsate you can deliver relevant and Customised campaigns and Journeys to your Users." } ] }, { "type": "call_to_action", "position": 3, "attrs": [ { "destination_type": "card_back", "destination": "", "destination_url": "", "in_app_events": [ { "value": "my_custom_event" } ], "label": "View More", "shown_btn": true, "show_in_app": true, "order_number": 1 }, { "order_number": 2, "btn_color": "#FF00FF", "text_color": "#FFFFFF", "label": "Visit Pulsate", "destination_type": "url", "in_app_events": null, "destination": "https://pulsatehq.com", "destination_url": "https://pulsatehq.com" } ] } ], "back": [ { "type": "admin_header_with_message", "position": -1, "attrs": [ { "admin": { "job_title": "CEO", "name": "Sarah Martin", "s_id": "23r9u4thj45y", "avatar_url": "https://control.pulsatehq.com/assets/lib/layout/default-user-avatar.svg" }, "message": "Get started with Pulsate" } ] }, { "type": "image", "position": 0, "attrs": [ { "name": "Pulsate-Mobile-Banking-web-bg-1-e1692289003621.jpg", "image_url": "https://www.pulsatehq.com/wp-content/uploads/2023/08/Pulsate-Mobile-Banking-web-bg-1-e1692289003621.jpg", "width": 730, "height": 487 } ] }, { "type": "headline", "position": 1, "attrs": [ { "text": "We're excited to have you partner with us" } ] }, { "type": "text", "position": 2, "attrs": [ { "text": "With Pulsate you can deliver relevant and Customised campaigns and Journeys to your Users." } ] }, { "type": "table", "position": 3, "attrs": [ { "rows": [ { "label": "Top Speed", "value": "200" }, { "label": "Range", "value": "396 mi" } ] } ] }, { "type": "call_to_action", "position": 5, "attrs": [ { "destination_type": "deeplink", "destination": "/some/deeplink", "in_app_events": [ { "value": "custom_event_click" } ], "label": "Learn More", "shown_btn": true, "show_in_app": true, "order_number": 1 }, { "destination_type": "url", "destination": "https://pulsatehq.com", "destination_url": "https://pulsatehq.com", "in_app_events": [ { "value": "btn_buddhimal_button_3" } ], "label": "Pulsate", "shown_btn": true, "show_in_app": true, "order_number": 2 } ] } ], "inbox_item_guid": "wefrou23tnkreh;n4y", "last_interaction_at": 1673256522, "expiry_at": 0 } ], "total_unread": 1}
